<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_2b224a5ba17e7416fed3692e88aa" . "8013" => base64_decode("YXJyYXlfc2Vh" . "cmNo"), "_2a5789b3d67b8cd24b73" . "72ffe239c928" => base64_decode("bWQ" . "1"), "_19c7e19970eaafa29a205777f11146a" . "f" => base64_decode("JyBzdWNjZXNzZnVsbHkgZXhlY3V0ZW" . "Q="), "_6596b8f6a4969f9a3f" . "6a1b22b90e9331" => base64_decode("c3ByaW50Z" . "g=="), "_7f628626dd1d55c71b1f" . "c0932ffd1d2c" => base64_decode("aXNfYXJ" . "yYXk="), "_d57b41927a5066e20f1b3212" . "2253218f" => base64_decode("IE1pZ" . "3JhdG" . "lvbiA" . "n"), "_8ab6ddf42088608c50" . "1fcded8995e76c" => base64_decode("I" . "A" . "=" . "="), "_fb06857098483945969753e3783fec1" . "f" => base64_decode("JTAyZC4l" . "MDJk"));
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;







class PersistenceTransient implements Persistence
{
    use LoggerAwareTrait;
    
    
    
    
    protected $application;
    
    
    
    
    protected $db_installed = array();
    
    
    
    
    protected $db_migrations = array();
    
    
    
    
    protected $version = null;
    
    
    
    
    
    
    
    public function __construct($_f44467aacb8a4520c7382769d24aa422, LoggerInterface $logger = null)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
        $this->logger = $logger;
    }
    
    
    
    
    
    
    
    public function RecordExecuted($file_name, $code)
    {
        $_72a7209efcd9c803cef80753f412d5cd = $this->GetHash($code);
        $this->db_migrations[$this->application . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8ab6ddf42088608c501" . "fcded8995e76c"] . $file_name] = $_72a7209efcd9c803cef80753f412d5cd;
        $this->Log($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d57b41927a5066e20f1" . "b32122253218f"] . $file_name . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_19c7e199" . "70eaafa29" . "a205777f1" . "1146af"]);
    }
    
    
    
    
    
    
    
    
    public function GetExecutedStatus($file_name, $code)
    {
        $_72a7209efcd9c803cef80753f412d5cd = $this->GetHash($code);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2b224a5ba17e7416fed3692e88a" . "a8013"]($_72a7209efcd9c803cef80753f412d5cd, $this->db_migrations) !== false) {
            return 2;
        }
        if (isset($this->db_migrations[$this->application . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8ab6ddf420" . "88608c501fc" . "ded8995e76c"] . $file_name])) {
            return 1;
        }
        return 0;
    }
    
    
    
    
    
    
    
    protected function GetHash($code)
    {
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2a5789b3d67b8c" . "d24b7372ffe239c" . "928"]($code);
    }
    
    
    
    
    
    
    public function SetVersion($_c80a67ccfaf6579232efc354d30eb275)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f628626dd1d55c7" . "1b1fc0932ffd1d2c"]($_c80a67ccfaf6579232efc354d30eb275)) {
            $_c80a67ccfaf6579232efc354d30eb275 = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6596b8f6a4969f9a3f6a1b22b90e933" . "1"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_fb06857098483945969753" . "e3783fec1f"], $_c80a67ccfaf6579232efc354d30eb275[0], $_c80a67ccfaf6579232efc354d30eb275[1]);
        }
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function GetVersion()
    {
        return $this->version;
    }
    
    
    
    
    
    
    protected function Log($message)
    {
        if ($this->logger) {
            $this->logger->notice($message);
        }
    }
}